## khtml 5.104.0

=== debian/changelog ===
khtml (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:26 +0000

khtml (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:43:19 +0000

khtml (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:02 +0000

khtml (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:20:29 +0000

khtml (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:55 +0000

khtml (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:59:13 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.104.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.104.0~),
               libkf5codecs-dev (>= 5.104.0~),
               libkf5globalaccel-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5iconthemes-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5kjs-dev (>= 5.104.0~),
               libkf5notifications-dev (>= 5.104.0~),
               libkf5parts-dev (>= 5.104.0~),
               libkf5sonnet-dev (>= 5.104.0~),
               libkf5textwidgets-dev (>= 5.104.0~),
               libkf5wallet-dev (>= 5.104.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5windowsystem-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libssl-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.104.0~),
         libkf5globalaccel-dev (>= 5.104.0~),
         libkf5i18n-dev (>= 5.104.0~),
         libkf5iconthemes-dev (>= 5.104.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.104.0~),
         libkf5kjs-dev (>= 5.104.0~),
         libkf5notifications-dev (>= 5.104.0~),
         libkf5parts-dev (>= 5.104.0~),
         libkf5sonnet-dev (>= 5.104.0~),
         libkf5wallet-dev (>= 5.104.0~),
         libkf5widgetsaddons-dev (>= 5.104.0~),
         libkf5windowsystem-dev (>= 5.104.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.107.0

=== debian/changelog ===
khtml (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:48 +0200

khtml (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:05 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.107.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.107.0~),
               libkf5codecs-dev (>= 5.107.0~),
               libkf5globalaccel-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libkf5iconthemes-dev (>= 5.107.0~),
               libkf5kio-dev (>= 5.107.0~),
               libkf5kjs-dev (>= 5.107.0~),
               libkf5notifications-dev (>= 5.107.0~),
               libkf5parts-dev (>= 5.107.0~),
               libkf5sonnet-dev (>= 5.107.0~),
               libkf5textwidgets-dev (>= 5.107.0~),
               libkf5wallet-dev (>= 5.107.0~),
               libkf5widgetsaddons-dev (>= 5.107.0~),
               libkf5windowsystem-dev (>= 5.107.0~),
               libkf5xmlgui-dev (>= 5.107.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libssl-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khtml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khtml.git
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.107.0~),
         libkf5globalaccel-dev (>= 5.107.0~),
         libkf5i18n-dev (>= 5.107.0~),
         libkf5iconthemes-dev (>= 5.107.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.107.0~),
         libkf5kjs-dev (>= 5.107.0~),
         libkf5notifications-dev (>= 5.107.0~),
         libkf5parts-dev (>= 5.107.0~),
         libkf5sonnet-dev (>= 5.107.0~),
         libkf5wallet-dev (>= 5.107.0~),
         libkf5widgetsaddons-dev (>= 5.107.0~),
         libkf5windowsystem-dev (>= 5.107.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version}),
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.109.0

=== debian/changelog ===
khtml (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:49:09 +0100

khtml (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:20:05 +0100

khtml (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:05:30 +0100

khtml (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:45:49 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.109.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.109.0~),
               libkf5codecs-dev (>= 5.109.0~),
               libkf5globalaccel-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5iconthemes-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5kjs-dev (>= 5.109.0~),
               libkf5notifications-dev (>= 5.109.0~),
               libkf5parts-dev (>= 5.109.0~),
               libkf5sonnet-dev (>= 5.109.0~),
               libkf5textwidgets-dev (>= 5.109.0~),
               libkf5wallet-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5windowsystem-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libssl-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.109.0~),
         libkf5globalaccel-dev (>= 5.109.0~),
         libkf5i18n-dev (>= 5.109.0~),
         libkf5iconthemes-dev (>= 5.109.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.109.0~),
         libkf5kjs-dev (>= 5.109.0~),
         libkf5notifications-dev (>= 5.109.0~),
         libkf5parts-dev (>= 5.109.0~),
         libkf5sonnet-dev (>= 5.109.0~),
         libkf5wallet-dev (>= 5.109.0~),
         libkf5widgetsaddons-dev (>= 5.109.0~),
         libkf5windowsystem-dev (>= 5.109.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.110.0

=== debian/changelog ===
khtml (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                gperf,
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.109.0~),
-               libkf5codecs-dev (>= 5.109.0~),
-               libkf5globalaccel-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5kjs-dev (>= 5.109.0~),
-               libkf5notifications-dev (>= 5.109.0~),
-               libkf5parts-dev (>= 5.109.0~),
-               libkf5sonnet-dev (>= 5.109.0~),
-               libkf5textwidgets-dev (>= 5.109.0~),
-               libkf5wallet-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               libkf5archive-dev (>= 5.110.0~),
+               libkf5codecs-dev (>= 5.110.0~),
+               libkf5globalaccel-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5kjs-dev (>= 5.110.0~),
+               libkf5notifications-dev (>= 5.110.0~),
+               libkf5parts-dev (>= 5.110.0~),
+               libkf5sonnet-dev (>= 5.110.0~),
+               libkf5textwidgets-dev (>= 5.110.0~),
+               libkf5wallet-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libphonon4qt5experimental-dev (>= 4:4.6.0),
                libpng-dev,
@@ -63,19 +63,19 @@
 Package: libkf5khtml-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.109.0~),
-         libkf5globalaccel-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
-         libkf5iconthemes-dev (>= 5.109.0~),
+Depends: libkf5archive-dev (>= 5.110.0~),
+         libkf5globalaccel-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
+         libkf5iconthemes-dev (>= 5.110.0~),
          libkf5khtml5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.109.0~),
-         libkf5kjs-dev (>= 5.109.0~),
-         libkf5notifications-dev (>= 5.109.0~),
-         libkf5parts-dev (>= 5.109.0~),
-         libkf5sonnet-dev (>= 5.109.0~),
-         libkf5wallet-dev (>= 5.109.0~),
-         libkf5widgetsaddons-dev (>= 5.109.0~),
-         libkf5windowsystem-dev (>= 5.109.0~),
+         libkf5kio-dev (>= 5.110.0~),
+         libkf5kjs-dev (>= 5.110.0~),
+         libkf5notifications-dev (>= 5.110.0~),
+         libkf5parts-dev (>= 5.110.0~),
+         libkf5sonnet-dev (>= 5.110.0~),
+         libkf5wallet-dev (>= 5.110.0~),
+         libkf5widgetsaddons-dev (>= 5.110.0~),
+         libkf5windowsystem-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: HTML widget and component

## khtml 5.113.0

=== debian/changelog ===
khtml (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:43:19 +0000

khtml (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:48:11 +0000

khtml (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                gperf,
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.110.0~),
-               libkf5codecs-dev (>= 5.110.0~),
-               libkf5globalaccel-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5iconthemes-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5kjs-dev (>= 5.110.0~),
-               libkf5notifications-dev (>= 5.110.0~),
-               libkf5parts-dev (>= 5.110.0~),
-               libkf5sonnet-dev (>= 5.110.0~),
-               libkf5textwidgets-dev (>= 5.110.0~),
-               libkf5wallet-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5windowsystem-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               libkf5archive-dev (>= 5.113.0~),
+               libkf5codecs-dev (>= 5.113.0~),
+               libkf5globalaccel-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5iconthemes-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5kjs-dev (>= 5.113.0~),
+               libkf5notifications-dev (>= 5.113.0~),
+               libkf5parts-dev (>= 5.113.0~),
+               libkf5sonnet-dev (>= 5.113.0~),
+               libkf5textwidgets-dev (>= 5.113.0~),
+               libkf5wallet-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5windowsystem-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libphonon4qt5experimental-dev (>= 4:4.6.0),
                libpng-dev,
@@ -63,19 +63,19 @@
 Package: libkf5khtml-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.110.0~),
-         libkf5globalaccel-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
-         libkf5iconthemes-dev (>= 5.110.0~),
+Depends: libkf5archive-dev (>= 5.113.0~),
+         libkf5globalaccel-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
+         libkf5iconthemes-dev (>= 5.113.0~),
          libkf5khtml5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.110.0~),
-         libkf5kjs-dev (>= 5.110.0~),
-         libkf5notifications-dev (>= 5.110.0~),
-         libkf5parts-dev (>= 5.110.0~),
-         libkf5sonnet-dev (>= 5.110.0~),
-         libkf5wallet-dev (>= 5.110.0~),
-         libkf5widgetsaddons-dev (>= 5.110.0~),
-         libkf5windowsystem-dev (>= 5.110.0~),
+         libkf5kio-dev (>= 5.113.0~),
+         libkf5kjs-dev (>= 5.113.0~),
+         libkf5notifications-dev (>= 5.113.0~),
+         libkf5parts-dev (>= 5.113.0~),
+         libkf5sonnet-dev (>= 5.113.0~),
+         libkf5wallet-dev (>= 5.113.0~),
+         libkf5widgetsaddons-dev (>= 5.113.0~),
+         libkf5windowsystem-dev (>= 5.113.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: HTML widget and component

## khtml 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project(KHtml VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)


set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

# Most of KJS doesn't even require Qt, thus we can't use override
string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5JS ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

if(NOT WIN32 AND NOT APPLE)
  find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
endif()

set(HAVE_KGLOBALACCEL ${KF5GlobalAccel_FOUND})

ecm_setup_version(PROJECT VARIABLE_PREFIX KHTML
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
                        SOVERSION 5)

find_package(Perl)
set_package_properties(Perl PROPERTIES
                       URL "https://www.perl.org/"
                       TYPE REQUIRED
                       PURPOSE "Required for generating JS bindings for elements"
                      )

if(NOT WIN32 AND NOT APPLE)
  option(WITH_X11 "Build with X11 integration" ON)
  if(WITH_X11)
    find_package(X11 REQUIRED)
    set(HAVE_X11 1)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
  endif()
endif()

find_package(Phonon4Qt5 4.6.60)
set_package_properties(Phonon4Qt5 PROPERTIES
                      DESCRIPTION "Qt Multimedia Library"
                      URL "https://phonon.kde.org/"
                      TYPE REQUIRED
                      PURPOSE "Required for HTML5 multimedia elements"
                     )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG decoding library"
                       URL "https://www.ijg.org"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying JPEG images"
                      )

find_package(GIF)
set_package_properties(GIF PROPERTIES DESCRIPTION "GIF decoding library"
                       URL "https://sourceforge.net/projects/giflib"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying GIF images"
                      )

find_package(PNG)
set_package_properties(PNG PROPERTIES DESCRIPTION "PNG decoding library"
                       URL "http://www.libpng.org/pub/png"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying PNG images"
                      )

find_package(Gperf REQUIRED)

# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_FOREACH)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
# ideally we would support QT_NO_KEYWORDS, but at least we can do this
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DENABLE_SVG)
add_definitions(-DENABLE_SVG_FONTS)
add_definitions(-DWTF_PLATFORM_QT)

# avoid warning for "this use of "defined" may not be portable" for all the #if PLATFORM(Foo)
set(_flag "-Wno-expansion-to-defined")
check_cxx_compiler_flag(${_flag} _flag_present)
if(_flag_present)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_flag}")
endif()


set(KHTML_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(KHTML_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)

add_definitions(-DTRANSLATION_DOMAIN=\"khtml5\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KHtml")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KHtmlConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KHtmlTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KHtmlTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHtml COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
kde_enable_exceptions()

find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "Support for secure network communications (SSL and TLS)"
                       URL "https://openssl.org/"
                       TYPE RECOMMENDED
                       PURPOSE "KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS"
                      )
if(OPENSSL_FOUND)
   set(KSSL_HAVE_SSL 1)
   include_directories(${OPENSSL_INCLUDE_DIR})
endif()

configure_file(config-khtml.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-khtml.h )

set(khtmlgraphics_STAT_SRCS
  platform/graphics/AffineTransform.cpp
  platform/graphics/FloatPoint.cpp
  platform/graphics/FloatRect.cpp
  platform/graphics/FloatSize.cpp
  platform/graphics/IntRect.cpp
  platform/graphics/Path.cpp
  platform/graphics/GraphicsTypes.cpp
  platform/graphics/PathTraversalState.cpp
  #platform/graphics/Image.cpp
  #platform/MIMETypeRegistry.cpp
  platform/graphics/qt/AffineTransformQt.cpp
  platform/graphics/qt/FloatPointQt.cpp
  platform/graphics/qt/FloatRectQt.cpp
  platform/graphics/qt/IntPointQt.cpp
  platform/graphics/qt/IntRectQt.cpp
  platform/graphics/qt/IntSizeQt.cpp
  platform/graphics/qt/PathQt.cpp
  #platform/qt/MIMETypeRegistryQt.cpp
)

set(khtmlsvg_STAT_SRCS
  svg/SVGDocument.cpp
  svg/SVGSVGElement.cpp
  svg/SVGStyledLocatableElement.cpp
  svg/SVGLocatable.cpp
  svg/SVGStyledElement.cpp
  svg/SVGStylable.cpp
  svg/SVGElement.cpp
  svg/SVGLength.cpp
  svg/SVGTransformable.cpp
  svg/SVGTransform.cpp
  svg/SVGAngle.cpp
  svg/SVGDocumentExtensions.cpp
  svg/SVGParserUtilities.cpp
  svg/SVGTransformDistance.cpp
  svg/SVGTransformList.cpp
  svg/SVGStringList.cpp
  svg/SVGStyledTransformableElement.cpp
  svg/SVGTests.cpp
  svg/SVGLangSpace.cpp
  svg/SVGExternalResourcesRequired.cpp
  svg/SVGRectElement.cpp
  svg/SVGPreserveAspectRatio.cpp
  svg/SVGFitToViewBox.cpp
  svg/SVGCircleElement.cpp
  svg/SVGStyleElement.cpp
  svg/SVGEllipseElement.cpp
  svg/SVGPointList.cpp
  svg/SVGAnimatedPoints.cpp
  svg/SVGPolyElement.cpp
  svg/SVGPolygonElement.cpp
  svg/SVGPolylineElement.cpp
  svg/SVGAnimatedPathData.cpp
  svg/SVGPathSegArc.cpp
  svg/SVGPathSegClosePath.cpp
  svg/SVGPathSegCurvetoCubic.cpp
  svg/SVGPathSegCurvetoCubicSmooth.cpp
  svg/SVGPathSegCurvetoQuadratic.cpp
  svg/SVGPathSegCurvetoQuadraticSmooth.cpp
  svg/SVGPathSegLineto.cpp
  svg/SVGPathSegLinetoHorizontal.cpp
  svg/SVGPathSegLinetoVertical.cpp
  svg/SVGPathSegList.cpp
  svg/SVGPathSegMoveto.cpp
  svg/SVGPathElement.cpp
  svg/SVGURIReference.cpp
  svg/SVGStopElement.cpp
  svg/SVGGradientElement.cpp
  svg/SVGLinearGradientElement.cpp
  svg/SVGRadialGradientElement.cpp
  svg/SVGDefsElement.cpp
  svg/SVGClipPathElement.cpp
  svg/SVGGElement.cpp
  svg/SVGElementInstance.cpp
  svg/SVGElementInstanceList.cpp
  svg/SVGUseElement.cpp
  svg/SVGLineElement.cpp
  svg/SVGTextPathElement.cpp
  svg/SVGTextContentElement.cpp
  svg/SVGNumberList.cpp
  svg/SVGTextPositioningElement.cpp
  svg/SVGLengthList.cpp
  svg/SVGTextElement.cpp
  svg/SVGAElement.cpp
  svg/SVGScriptElement.cpp
  svg/SVGTitleElement.cpp
  svg/SVGDescElement.cpp
  svg/SVGNames.cpp
  svg/SVGZoomAndPan.cpp
  svg/SVGViewSpec.cpp
  svg/SVGTSpanElement.cpp
  svg/SVGGlyphElement.cpp
  svg/SVGAltGlyphElement.cpp
  svg/SVGHKernElement.cpp
  svg/SVGMissingGlyphElement.cpp
  svg/SVGFontElement.cpp
  svg/SVGFontData.cpp
#############################################################
## GRAPHICS #################################################
#############################################################
  svg/graphics/SVGResource.cpp
  svg/graphics/SVGPaintServer.cpp
  svg/graphics/qt/SVGPaintServerQt.cpp
  svg/graphics/SVGPaintServerSolid.cpp
  svg/graphics/qt/SVGPaintServerSolidQt.cpp
  svg/graphics/SVGResourceClipper.cpp
  svg/graphics/qt/SVGResourceClipperQt.cpp
  svg/graphics/SVGPaintServerGradient.cpp
  svg/graphics/SVGPaintServerLinearGradient.cpp
  svg/graphics/SVGPaintServerRadialGradient.cpp
  svg/graphics/qt/SVGPaintServerGradientQt.cpp
  svg/graphics/qt/SVGPaintServerLinearGradientQt.cpp
  svg/graphics/qt/SVGPaintServerRadialGradientQt.cpp
#############################################################
## RENDERING PART BELOW   ###################################
#############################################################
  rendering/RenderSVGRoot.cpp
  rendering/RenderPath.cpp
  rendering/SVGRenderStyleDefs.cpp
  rendering/SVGRenderStyle.cpp
  rendering/RenderSVGGradientStop.cpp
  rendering/RenderSVGContainer.cpp
  rendering/SVGRenderSupport.cpp
  rendering/RenderSVGHiddenContainer.cpp
  rendering/RenderSVGTransformableContainer.cpp
  rendering/SVGInlineFlowBox.cpp
  rendering/SVGRootInlineBox.cpp
  rendering/RenderSVGTextPath.cpp
  rendering/SVGInlineTextBox.cpp
  rendering/SVGCharacterLayoutInfo.cpp
  rendering/RenderSVGInline.cpp
  rendering/RenderSVGText.cpp
  rendering/RenderSVGBlock.cpp
  rendering/RenderSVGInlineText.cpp
  rendering/RenderSVGTSpan.cpp
)

# khtml/dom/Makefile.am: khtmldom

set(khtmldom_STAT_SRCS
  dom/dom_misc.cpp
  dom/html_block.cpp
  dom/html_inline.cpp
  dom/css_rule.cpp
  dom/dom_node.cpp
  dom/html_document.cpp
  dom/html_list.cpp
  dom/css_stylesheet.cpp
  dom/dom_string.cpp
  dom/html_element.cpp
  dom/html_misc.cpp
  dom/css_value.cpp
  dom/dom_text.cpp
  dom/html_object.cpp
  dom/dom_doc.cpp
  dom/dom_xml.cpp
  dom/html_head.cpp
  dom/dom_element.cpp
  dom/html_base.cpp
  dom/html_image.cpp
  dom/html_form.cpp
  dom/dom2_range.cpp
  dom/html_table.cpp
  dom/dom2_traversal.cpp
  dom/dom2_events.cpp
  dom/dom2_views.cpp
  dom/QualifiedName.cpp
  dom/dom3_xpath.cpp
)

#set_source_files_properties(${khtmldom_STAT_SRCS} PROPERTIES COMPILE_FLAGS ${KDE_ENABLE_EXCEPTIONS})

# khtml/misc/Makefile.am: khtmlmisc

set(khtmlmisc_STAT_SRCS
  misc/loader.cpp
  misc/helper.cpp
  misc/arena.cpp
  misc/stringit.cpp
  misc/paintbuffer.cpp
  misc/imagefilter.cpp
  misc/borderarcstroker.cpp
  misc/idstring.cpp
  misc/htmlnames.cpp
  misc/AtomicString.cpp
  misc/woff.cpp
  misc/guess_ja.cpp
  misc/kencodingdetector.cpp
)

set(khtmlediting_STAT_SRCS
  editing/jsediting.cpp
  editing/editing.cpp
  editing/editor.cpp
  editing/htmlediting_impl.cpp
)

set(khtmlfind_STAT_SRCS
  ui/findbar/khtmlfind.cpp
  ui/findbar/khtmlfindbar.cpp
)

ki18n_wrap_ui(khtmlfind_STAT_SRCS
  ui/findbar/khtmlfindbar_base.ui
)

set(passwordbar_STAT_SRCS
  ui/passwordbar/storepassbar.cpp
)

ki18n_wrap_ui(passwordbar_STAT_SRCS
  ui/passwordbar/storepassbar_base.ui
)

# khtml/html/Makefile.am: khtmlhtml

set(khtmlhtml_STAT_SRCS
  html/htmlparser.cpp
  html/htmltokenizer.cpp
  html/htmlprospectivetokenizer.cpp
  html/dtd.cpp
  html/html_headimpl.cpp
  html/html_blockimpl.cpp
  html/html_elementimpl.cpp
  html/html_inlineimpl.cpp
  html/html_documentimpl.cpp
  html/html_baseimpl.cpp
  html/html_imageimpl.cpp
  html/html_listimpl.cpp
  html/html_miscimpl.cpp
  html/html_formimpl.cpp
  html/html_objectimpl.cpp
  html/html_tableimpl.cpp
  html/html_canvasimpl.cpp
  html/HTMLMediaElement.cpp
  html/HTMLAudioElement.cpp
  html/HTMLVideoElement.cpp
  html/HTMLSourceElement.cpp
  html/TimeRanges.cpp
  html/ksslkeygen.cpp
  html/kopenssl.cpp
  html/kentities.cpp
)
ecm_gperf_generate(html/doctypes.gperf ${CMAKE_CURRENT_BINARY_DIR}/doctypes.h khtmlhtml_STAT_SRCS
                   GENERATION_FLAGS "--key-positions=*")
ecm_gperf_generate(html/kentities.gperf ${CMAKE_CURRENT_BINARY_DIR}/kentities-gperf.h khtmlhtml_STAT_SRCS
                   GENERATION_FLAGS "--key-positions=* -D -s 2")

# khtml/ecma/Makefile.am: kjs_html

set(EXCLUDE_SRCS_FILES
${CMAKE_CURRENT_BINARY_DIR}/doctypes.h
${CMAKE_CURRENT_BINARY_DIR}/kentities-gperf.h
${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.h
${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.h
${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.cpp
${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.cpp
)

set_property(SOURCE ${EXCLUDE_SRCS_FILES} PROPERTY SKIP_AUTOMOC TRUE) # don't run automoc on this file

set(kjs_html_STAT_SRCS
  ecma/kjs_binding.cpp
  ecma/kjs_dom.cpp
  ecma/kjs_html.cpp
  ecma/kjs_window.cpp
  ecma/kjs_navigator.cpp
  ecma/kjs_proxy.cpp
  ecma/kjs_css.cpp
  ecma/kjs_range.cpp
  ecma/kjs_traversal.cpp
  ecma/kjs_events.cpp
  ecma/kjs_views.cpp
#  ecma/kjs_debugwin.cpp
  ecma/kjs_mozilla.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSTimeRanges.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSMediaError.cpp
  ecma/JSHTMLElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLMediaElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLAudioElement.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.h
  ${CMAKE_CURRENT_BINARY_DIR}/JSHTMLVideoElement.cpp
  ecma/xmlhttprequest.cpp
  ecma/xmlserializer.cpp
  ecma/domparser.cpp
  ecma/kjs_context2d.cpp
  ecma/kjs_audio.cpp
  ecma/kjs_xpath.cpp
  ecma/kjs_scriptable.cpp
  ecma/kjs_data.cpp
  ecma/kjs_arraybuffer.cpp
  ecma/kjs_arraybufferview.cpp
  ecma/kjs_arraytyped.cpp
  ecma/kjs_clientrect.cpp
)

# TODO: set(KJS_DEBUGGER) once we can depend on the ktexteditor interfaces
if (KJS_DEBUGGER)
  set (kjs_html_STAT_SRCS ${kjs_html_STAT_SRCS}
  ecma/debugger/debugwindow.cpp
  ecma/debugger/debugdocument.cpp
  ecma/debugger/consoledock.cpp
  ecma/debugger/breakpointsdock.cpp
  ecma/debugger/callstackdock.cpp
  ecma/debugger/localvariabledock.cpp
  ecma/debugger/scriptsdock.cpp
  ecma/debugger/value2string.cpp
  ecma/debugger/errordlg.cpp
  ecma/debugger/interpreter_ctx.cpp
  )
endif()

#qt_add_resources( kjs_html_STAT_SRCS ecma/debugger/debugger.qrc )

# khtml/rendering/Makefile.am: khtmlrender

set(khtmlrender_STAT_SRCS
  rendering/bidi.cpp
  rendering/break_lines.cpp
  rendering/render_block.cpp
  rendering/render_inline.cpp
  rendering/render_style.cpp
  rendering/render_object.cpp
  rendering/render_container.cpp
  rendering/render_box.cpp
  rendering/render_flow.cpp
  rendering/render_text.cpp
  rendering/render_arena.cpp
  rendering/render_layer.cpp
  rendering/render_image.cpp
  rendering/render_table.cpp
  rendering/table_layout.cpp
  rendering/render_replaced.cpp
  rendering/render_form.cpp
  rendering/render_list.cpp
  rendering/render_canvas.cpp
  rendering/render_frames.cpp
  rendering/render_br.cpp
  rendering/render_body.cpp
  rendering/font.cpp
  rendering/render_line.cpp
  rendering/render_generated.cpp
  rendering/enumerate.cpp
  rendering/counter_tree.cpp
  rendering/render_canvasimage.cpp
  rendering/render_position.cpp
  rendering/render_media.cpp
  rendering/media_controls.cpp
)

# khtml/css/Makefile.am: khtmlcss

set(khtmlcss_STAT_SRCS
  css/css_stylesheetimpl.cpp
  css/css_ruleimpl.cpp
  css/css_valueimpl.cpp
  css/css_svgvalueimpl.cpp
  css/css_base.cpp
  css/cssparser.cpp
  css/cssstyleselector.cpp
  css/csshelper.cpp
  css/parser.cpp
  css/css_renderstyledeclarationimpl.cpp
  css/css_mediaquery.cpp
  css/css_svgcssparser.cpp
  css/SVGCSSStyleSelector.cpp
  css/css_webfont.cpp
)

# khtml/xml/Makefile.am: khtmlxml

set(khtmlxml_STAT_SRCS
  xml/security_origin.cpp
  xml/dom_docimpl.cpp
  xml/dom_nodeimpl.cpp
  xml/dom_nodelistimpl.cpp
  xml/dom_textimpl.cpp
  xml/dom_elementimpl.cpp
  xml/dom_stringimpl.cpp
  xml/dom2_rangeimpl.cpp
  xml/dom2_traversalimpl.cpp
  xml/xml_tokenizer.cpp
  xml/dom_xmlimpl.cpp
  xml/dom2_eventsimpl.cpp
  xml/dom2_viewsimpl.cpp
  xml/dom_restyler.cpp
  xml/ClassNames.cpp
  xml/dom_position.cpp
  xml/dom_positioniterator.cpp
  xml/dom_selection.cpp
  xml/wa_selectors.cpp
  xml/dom3_xpathimpl.cpp
)

# khtml/imload/Makefile.am: khtmlimload

set(khtmlimload_STAT_SRCS
  imload/imageplane.cpp
  imload/rawimageplane.cpp

=== debian/changelog ===
khtml (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:17:01 +0200

khtml (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015451).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:08 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.115.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.115.0~),
               libkf5codecs-dev (>= 5.115.0~),
               libkf5globalaccel-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5iconthemes-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5kjs-dev (>= 5.115.0~),
               libkf5notifications-dev (>= 5.115.0~),
               libkf5parts-dev (>= 5.115.0~),
               libkf5sonnet-dev (>= 5.115.0~),
               libkf5textwidgets-dev (>= 5.115.0~),
               libkf5wallet-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.115.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libssl-dev,
               libx11-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khtml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khtml.git
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.115.0~),
         libkf5globalaccel-dev (>= 5.115.0~),
         libkf5i18n-dev (>= 5.115.0~),
         libkf5iconthemes-dev (>= 5.115.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.115.0~),
         libkf5kjs-dev (>= 5.115.0~),
         libkf5notifications-dev (>= 5.115.0~),
         libkf5parts-dev (>= 5.115.0~),
         libkf5sonnet-dev (>= 5.115.0~),
         libkf5wallet-dev (>= 5.115.0~),
         libkf5widgetsaddons-dev (>= 5.115.0~),
         libkf5windowsystem-dev (>= 5.115.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version}),
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
